declare
  l_docx_template blob;
  l_result_code clob;
begin
  select blob_file into l_docx_template from store_blob where filename='invoice.docx';
  l_result_code := plpdf_reporter_pdf.genCode(p_packagename => 'PLPDF_INVOICE_EXAMPLE_1', p_file => l_docx_template);
  execute immediate l_result_code;
end;